Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 10.3.x for %s
  5. Search 11.x for %s
  6. Other projects
Title Object type File name Summary
RoutePreloaderTest::setUpMockRouteProvider function core/tests/Drupal/Tests/Core/Routing/RoutePreloaderTest.php Reinitializes the route provider as a mock object.
RoutePreloaderTest::testOnAlterRoutesWithAdminPathNoAdminRoute function core/tests/Drupal/Tests/Core/Routing/RoutePreloaderTest.php Tests onAlterRoutes with "admin" appearing in the path.
RoutePreloaderTest::testOnAlterRoutesWithAdminRoutes function core/tests/Drupal/Tests/Core/Routing/RoutePreloaderTest.php Tests onAlterRoutes with just admin routes.
RoutePreloaderTest::testOnAlterRoutesWithNonAdminRoutes function core/tests/Drupal/Tests/Core/Routing/RoutePreloaderTest.php Tests onAlterRoutes with admin routes and non admin routes.
RoutePreloaderTest::testOnRequestNonHtml function core/tests/Drupal/Tests/Core/Routing/RoutePreloaderTest.php Tests onRequest on a non html request.
RoutePreloaderTest::testOnRequestOnHtml function core/tests/Drupal/Tests/Core/Routing/RoutePreloaderTest.php Tests onRequest on a html request.
RouteProcessorCsrf class core/lib/Drupal/Core/Access/RouteProcessorCsrf.php Processes the outbound route to handle the CSRF token.
RouteProcessorCsrf.php file core/lib/Drupal/Core/Access/RouteProcessorCsrf.php
RouteProcessorCsrf::processOutbound function core/lib/Drupal/Core/Access/RouteProcessorCsrf.php Processes the outbound route.
RouteProcessorCsrf::renderPlaceholderCsrfToken function core/lib/Drupal/Core/Access/RouteProcessorCsrf.php Render API callback: Adds a CSRF token for the given path to the markup.
RouteProcessorCsrf::trustedCallbacks function core/lib/Drupal/Core/Access/RouteProcessorCsrf.php Lists the trusted callbacks provided by the implementing class.
RouteProcessorCsrf::__construct function core/lib/Drupal/Core/Access/RouteProcessorCsrf.php Constructs a RouteProcessorCsrf object.
RouteProcessorCsrfTest class core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php Tests Drupal\Core\Access\RouteProcessorCsrf.
RouteProcessorCsrfTest.php file core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php
RouteProcessorCsrfTest::$processor property core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php The route processor.
RouteProcessorCsrfTest::$requestStack property core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php The mocked request stack.
RouteProcessorCsrfTest::setUp function core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php
RouteProcessorCsrfTest::testProcessOutbound function core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php Tests the processOutbound() method with a _csrf_token route requirement.
RouteProcessorCsrfTest::testProcessOutboundDynamicOne function core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php Tests the processOutbound() method with a dynamic path and one replacement.
RouteProcessorCsrfTest::testProcessOutboundDynamicTwo function core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php Tests the processOutbound() method with two parameter replacements.
RouteProcessorCsrfTest::testProcessOutboundJsonFormat function core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php Tests JSON requests to get no placeholders, but real tokens.
RouteProcessorCsrfTest::testProcessOutboundNoRequirement function core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php Tests the processOutbound() method with no _csrf_token route requirement.
RouteProcessorCurrent class core/lib/Drupal/Core/RouteProcessor/RouteProcessorCurrent.php Provides a route processor to replace <current>.
RouteProcessorCurrent.php file core/lib/Drupal/Core/RouteProcessor/RouteProcessorCurrent.php
RouteProcessorCurrent::$routeMatch property core/lib/Drupal/Core/RouteProcessor/RouteProcessorCurrent.php The current route match.
RouteProcessorCurrent::processOutbound function core/lib/Drupal/Core/RouteProcessor/RouteProcessorCurrent.php Processes the outbound route.
RouteProcessorCurrent::__construct function core/lib/Drupal/Core/RouteProcessor/RouteProcessorCurrent.php Constructs a new RouteProcessorCurrent.
RouteProcessorCurrentIntegrationTest class core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteProcessorCurrentIntegrationTest.php Tests the <current> route processor.
RouteProcessorCurrentIntegrationTest.php file core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteProcessorCurrentIntegrationTest.php
RouteProcessorCurrentIntegrationTest::$modules property core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteProcessorCurrentIntegrationTest.php Modules to install.
RouteProcessorCurrentIntegrationTest::$urlGenerator property core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteProcessorCurrentIntegrationTest.php The URL generator.
RouteProcessorCurrentIntegrationTest::setUp function core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteProcessorCurrentIntegrationTest.php
RouteProcessorCurrentIntegrationTest::testProcessOutbound function core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteProcessorCurrentIntegrationTest.php Tests the output process.
RouteProcessorManager class core/lib/Drupal/Core/RouteProcessor/RouteProcessorManager.php Route processor manager.
RouteProcessorManager.php file core/lib/Drupal/Core/RouteProcessor/RouteProcessorManager.php
RouteProcessorManager::processOutbound function core/lib/Drupal/Core/RouteProcessor/RouteProcessorManager.php Processes the outbound route.
RouteProcessorManager::__construct function core/lib/Drupal/Core/RouteProcessor/RouteProcessorManager.php
RouteProcessorManagerTest class core/tests/Drupal/Tests/Core/RouteProcessor/RouteProcessorManagerTest.php Tests Drupal\Core\RouteProcessor\RouteProcessorManager.
RouteProcessorManagerTest.php file core/tests/Drupal/Tests/Core/RouteProcessor/RouteProcessorManagerTest.php
RouteProcessorManagerTest::getMockProcessor function core/tests/Drupal/Tests/Core/RouteProcessor/RouteProcessorManagerTest.php Returns a mock Route processor object.
RouteProcessorManagerTest::testRouteProcessorManager function core/tests/Drupal/Tests/Core/RouteProcessor/RouteProcessorManagerTest.php Tests the Route process manager functionality.
RouteProvider::$extraCacheKeyParts property core/lib/Drupal/Core/Routing/RouteProvider.php An array of cache key parts to be used for the route match cache.
RouteProvider::$routes property core/lib/Drupal/Core/Routing/RouteProvider.php A cache of already-loaded routes, keyed by route name.
RouteProvider::$service property core/tests/Drupal/KernelTests/RouteProvider.php The route provider service.
RouteProvider::getAllRoutes function core/tests/Drupal/KernelTests/RouteProvider.php Returns all the routes on the system.
RouteProvider::getAllRoutes function core/lib/Drupal/Core/Routing/RouteProvider.php Returns all the routes on the system.
RouteProvider::getCandidateOutlines function core/lib/Drupal/Core/Routing/RouteProvider.php Returns an array of path pattern outlines that could match the path parts.
RouteProvider::getCandidateOutlines function core/tests/Drupal/KernelTests/RouteProvider.php
RouteProvider::getQueryParametersCacheIdPart function core/lib/Drupal/Core/Routing/RouteProvider.php Returns the query parameters identifier for the route collection cache.
RouteProvider::getRouteAliases function core/lib/Drupal/Core/Routing/RouteProvider.php Gets aliases for a route name.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.